/**
 *
 * Copyright (C) 2013 Olivier Berthier
 *                    http://www.xunil.fr
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/
#ifndef SCENE_H
#define SCENE_H

#include <vector>

#include "blobobject.h"



class scene{

 private:
  std::vector<blobObject*> L;
  std::vector<GLuint> v_cut;
  std::vector<GLuint> v_cube;
 protected:
 public:
  scene();
  scene(const scene&);
  ~scene();

  void init();
  void GenerateBlob();
  void GenerateCut();
  void Rendering(int blobby, int field);
  inline void cutpos_move(int n){

  }

};



#endif //SCENE_H
