/**
 *
 * Copyright (C) 2013 Olivier Berthier
 *                    http://www.xunil.fr
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/
#ifndef BLOBCONE_H
#define BLOBCONE_H

#include "blob.h"
#include "matrice.h"

class BlobCone:public BlobNode
{
private:
  Vector  a, b, v;
  double rayon1,rayon2;
  Blend blend;
public:
  BlobCone(const Vector&, const Vector&, const double&, const double&, const double&, const double&,const Vector& = Vector(0,0,0));
  virtual ~BlobCone() {}
  virtual double Intensity(const Vector&);
  virtual Vector Color(const Vector&);
};



#endif //BLOBCONE_H
